
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_orderreshoprq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for AdvPurchListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="AdvPurchListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="EARLIEST"/&amp;gt;
 *     &amp;lt;enumeration value="LATEST"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "AdvPurchListType")
@XmlEnum
public enum AdvPurchListType {

    EARLIEST("EARLIEST"),
    LATEST("LATEST"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    AdvPurchListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static AdvPurchListType fromValue(String v) {
        for (AdvPurchListType c: AdvPurchListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
